<?php
class FW_Form_Decorator_Label extends FW_Form_Decorator_Abstract
{
  private $caption = "";
  public function __construct($caption)
  {
    $this->caption = (string)$caption;
  }
  
  public function getHTMLBefore($parent)
  {
    if($parent->getID() == null)
    {
      FW_Debugger::getInstance()->log("Das Element muss eine ID haben", __FILE__, __LINE__, "warning");
    } 
    return "<label for='".$parent->getID()."'>".$this->caption." </label>";
  }
}
?>