<?php
class FW_Form_Element_Button extends FW_Form_Element_Abstract
{
  public function __construct($name, $value)
  {
    if(!is_string($value))
    {
      throw new FW_Form_Element_Exception("Bitte eine Beschriftung (Value-Attribut) angeben");
    }  
    if(!is_string($name))
    {
      throw new FW_Form_Element_Exception("Bitte einen Namen angeben");
    }
    $this->setValue($value);
    $this->setName($name);
  }
  
  public function getHTMLofElement()
  {
    return "<input type='button' value='".$this->getValue()."' ".$this->getFurtherParameters()." />";
  }
}
?>