<?php
class FW_Form_Element_Select extends FW_Form_Element_Abstract
{
  
  private $options = array();
   
  public function __construct($name)
  {
    if(!is_string($name))
    {
      throw new FW_Form_Element_Exception("Bitte einen Namen angeben");
    }  
    $this->setName($name);
  }
  
  public function getHTMLofElement()
  {
    $html = "<select name='".$this->getName()."'";
    foreach($this->parameters as $name => $value)
    {
      $html .= " ".$name."='".$value."'";
    }
    
    $html .=">";
    
    foreach($this->options as $option)
    {
      $html .= $option->getHTML()."\n";
    }
    
    $html .="</select>";      
    return $html;
  }
  
  public function addOption(FW_Form_Element_Option $option)
  {
    $this->options[] = $option;
    return $this;
  }
}
?>